Package com.sas.lsaf.workflow.element

## Class TimerEvent

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.element.TimerEvent

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class TimerEvent
      extends Element

  The class that represents a timer event that is in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerEvent​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Date` | `getDueDate()` | Gets the due date of the event.
    `void` | `setDueDate​(java.util.Date dueDate)` | Sets the due date of the event.

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerEvent

          public TimerEvent​(java.lang.String typeId,
                            java.lang.String id,
                            java.lang.String elementId,
                            java.lang.String name,
                            java.lang.String description,
                            Element.ElementType type,
                            ProcessFlowDescriptor.FlowStatus flowStatus,
                            java.lang.String processFlowId,
                            java.util.Date created)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the events returned by the API.
      Parameters:
        `typeId` - The object type identifier of the event.
        `id` - The unique identifier of the event.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `name` - The name of the event.
        `description` - The description of the event.
        `type` - The type of the event.
        `flowStatus` - The status of the process flow that contains the event.
        `processFlowId` - The identifier of the process flow that contains the event.
        `created` - The date on which the event was created.

  - ### Method Detail

    - #### getDueDate

          public java.util.Date getDueDate()

      Gets the due date of the event.
      Returns:
        The due date.

    - #### setDueDate

          public void setDueDate​(java.util.Date dueDate)

      Sets the due date of the event.
      Parameters:
        `dueDate` - The due date of the event.